<template>
  <div>
    <div class="trunk">
      <div class="forward forward--center spacer">
        <div class="forward_image forward_image--center">
          <img :src="image" alt="cta-preference" class="responsively-lazy" />
        </div>
        <div class="forward_content">
          <h3 class="heading--md heading--status heading--uppercase">
            {{ $t('cta.preference.title') }}
          </h3>
          <h2 class="heading--xl heading--primary heading--uppercase">
            {{ $t('cta.preference.subtitle') }}
          </h2>
          <p class="text--md text--primary">{{ $t('cta.preference.text') }}.</p>
          <a :href="myIzneoUrl">
            <AppButton>
              {{ $t('cta.preference.btn') }}
            </AppButton>
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AppButton from '@/components/ui/AppButton'

export default {
  name: 'CtaPreference',
  components: {
    AppButton
  },
  computed: {
    image() {
      return require(`~/assets/images/visuel-cta-preference.png`)
    },
    myIzneoUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/settings/account/myizneo`
    }
  }
}
</script>

<style lang="scss" scoped>
.forward {
  display: flex;
  @include screen-size(md) {
    flex-direction: column;
    width: calc(100% + 40px);
    margin-left: -20px;
  }

  &--center .forward_content {
    padding-left: 10px;
  }
  &_image {
    width: 50%;
    @include screen-size(md) {
      width: 100%;
    }
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      @include screen-size(md) {
        min-height: 315px;
      }
    }
    &--center {
      background-color: #f8f8f8;
      display: flex;
      justify-content: center;
      align-items: center;
      @include screen-size(md) {
        padding-top: 60px;
      }
      img {
        margin: auto;
        width: auto;
        height: auto;
        max-width: 100;
        object: none;
        @include screen-size(md) {
          max-width: 200px;
          min-height: inherit;
        }
      }
    }
  }
  &_content {
    width: 50%;
    min-height: 592px;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: baseline;
    padding: 85px;
    background-color: #f8f8f8;
    @include screen-size(md) {
      width: 100%;
      padding: 56px 20px;
      justify-content: end;
      min-height: auto;
      text-align: center;
      align-items: center;
    }
    .heading--md {
      margin-bottom: 24px;
    }
    .heading--xl {
      margin-bottom: 32px;
    }
    .text--md {
      margin-bottom: 40px;
    }
  }
}
</style>
